Name:		unuran
Version:	1.9.0
Release:    1%{?dist}
Summary:	Universal Non-Uniform Random number generator

License:	GPLv2+
URL:		http://statistik.wu-wien.ac.at/unuran
Source0:	http://statistik.wu-wien.ac.at/unuran/%{name}-%{version}.tar.gz
Patch0:		unuran-configure-c99.patch

BuildRequires:	make
BuildRequires:	gcc-c++

%description
UNU.RAN  is an ANSI C library licensed under GPL. 
It contains universal (also called automatic or black-box) algorithms
that can generate random numbers from large classes of continuous or
discrete distributions, and also from practically all standard
distributions.

The library and an extensive online documentation are available at:

          -------------------------------------------
             http://statistik.wu-wien.ac.at/unuran/ 
          -------------------------------------------

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Header and object files for unuran

%description devel
Header and object files for unuran, and pdf docs.

%prep
%autosetup -p1

%build
%configure --enable-shared --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm %{buildroot}/%{_libdir}/libunuran.la
rm %{buildroot}/%{_includedir}/unuran_tests.h
rm %{buildroot}/%{_infodir}/unuran_win32*
rm -f %{buildroot}/%{_infodir}/dir

rm -rf __dist_examples __clean_examples
cp -a examples __clean_examples
make -C __clean_examples distclean
rm __clean_examples/Makefile*
mkdir __dist_examples
mv __clean_examples __dist_examples/examples

%files
%doc AUTHORS README NEWS KNOWN-PROBLEMS THANKS UPGRADE
%license COPYING
%{_infodir}/unuran*
%{_libdir}/libunuran.so.*

%files devel
%{_includedir}/unuran*.h
%{_libdir}/libunuran.so
%doc doc/unuran.pdf __dist_examples/examples

%check # enable if you want - takes a long time
SEED=2742664 make check

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-1
- initial build
